# SoTransformation Class Reference
[Nodes]

`#include <Inventor/nodes/SoTransformation.h>`

Inheritance diagram for SoTransformation:

List of all members.

## Detailed Description

The SoTransformation class is the abstract base class for transformation nodes.

To position and orient geometry within the 3D world space, various node types for transformations are used. These nodes all inherit the SoTransformation base class.

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

| SoTransformation (void)
virtual | ~SoTransformation ()

## Constructor & Destructor Documentation

SoTransformation::SoTransformation | ( | void |  | ) | `[protected]`

| Constructor.

SoTransformation::~SoTransformation | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTransformation::initClass | ( | void |  | ) | `[static]`

Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

Reimplemented from SoNode.

Reimplemented in SoCenterballManip, SoHandleBoxManip, SoJackManip, SoTabBoxManip, SoTrackballManip, SoTransformBoxManip, SoTransformManip, SoTransformerManip, SoAntiSquish, SoMatrixTransform, SoPendulum, SoResetTransform, SoRotation, SoRotationXYZ, SoRotor, SoScale, SoShuttle, SoSurroundScale, SoTransform, SoTranslation, and SoUnits.

The documentation for this class was generated from the following files:

- SoTransformation.h
- SoTransformation.cpp